package java2gomd;
import java.io.*;

/**
* Represents a Network Intercafe Card (NIC)
* @version 1.0
* @author roeles
*/
public class Nic extends GomdObject
{

	private String id;

	/**
	* Attaches the specified GomdClient under this NIC
	* @param c The GomdClient to use when retreiving info
	* @param s Name of this info. Eg. "eth0"
	*/
	public Nic(GomdClient c, String s)
	{
		super(c);
		id = s;
	}

	/**
	* Retreives the network load for this NIC
	* @return String with a HexaDecimal number representing the network load
	*/
	public String network_load() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("NETWORK_LOAD");
		return temp[0];
	}


/*	public String[] iface_flags() {}
	public String address() {}
	public String subnet() {}
	public Boolean mtu() {}
	public Long collisions() {}
	public Long packets_in() {}
	public Long packets_out() {}
	public Long packets_total() {}
	public Long bytes_in() {}
	public Long bytes_out() {}
	public Long errors_in() {}
	public Long errors_out() {}
	public Long errors_total() {}
*/
}
