package java2gomd;
import java.io.*;

/**
* Represents a Network Intercafe Card (NIC)
* @version 1.0
* @author roeles
*/
public class Nic extends GomdObject
{

	private String id;

	/**
	* Attaches the specified GomdClient under this NIC
	* @param c The GomdClient to use when retreiving info
	* @param s Name of this info. Eg. "eth0"
	*/
	public Nic(GomdClient c, String s)
	{
		super(c);
		id = s;
	}

	/**
	* Retreives the network load for this NIC
	* @return String with a HexaDecimal number representing the network load
	*/
	public String network_load() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("NETWORK_LOAD");
		return temp[0];
	}


	public String[] iface_flags() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("IFACE_FLAGS");
		return temp;
	}

	public String address() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("ADDRESS");
		return temp[0];
	}

	public String subnet() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("SUBNET");
		return temp[0];
	}

	public boolean mtu() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("MTU");
		return Boolean.valueOf(temp[0]).booleanValue();
	}

	public long collisions() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("COLLISIONS");
		return Long.parseLong(temp[0]);
	}

	public long packets_in() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("PACKETS_IN");
		return Long.parseLong(temp[0]);
	}

	public long packets_out() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("PACKETS_OUT");
		return Long.parseLong(temp[0]);
	}

	public long packets_total() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("PACKETS_TOTAL");
		return Long.parseLong(temp[0]);
	}

	public long bytes_in() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("BYTES_IN");
		return Long.parseLong(temp[0]);
	}

	public long bytes_out() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("BYTES_OUT");
		return Long.parseLong(temp[0]);
	}

	public long errors_in() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("ERRORS_IN");
		return Long.parseLong(temp[0]);
	}

	public long errors_out() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("ERRORS_OUT");
		return Long.parseLong(temp[0]);
	}

	public long errors_total() throws IOException
	{
		clientConnection.send("get netload " + id);
		String temp[] = clientConnection.grep("ERRORS_TOTAL");
		return Long.parseLong(temp[0]);
	}

}
